Ubuntu

lenovo/thinkpad R400/R500/T6x/T400[s]/T420/T500/W500/W700/X60/X200 suspend fails

Reported by Scott Moser on 2010-08-27
614
This bug affects 112 people
Affects Status Importance Assigned to Milestone
linux (Fedora)
Unknown
Unknown
linux (Ubuntu)
Critical
Unassigned
Maverick
Medium
Unassigned
Natty
Critical
Unassigned
pm-utils (Ubuntu)
Critical
Unassigned
Maverick
Undecided
Unassigned
Natty
Critical
Unassigned

Bug Description

Using recent maverick kernels, my suspend has stopped working. It previously worked in lucid, and for much of maverick development cycle.

Now, closing the laptop results in flashing 'moon' and a switch of console out of X, with an unrelated message on the screen (I think it is gdk message, but don't recall exactly).

opening laptop back up, it is generally unresponsive. (alt-f1 -> alt-f7 do nothing).
I've had to hard power off.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: linux-image-2.6.35-19-generic 2.6.35-19.26
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.35-19.26-generic 2.6.35.3
Uname: Linux 2.6.35-19-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: smoser 2297 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfc020000 irq 48'
   Mixer name : 'Conexant CX20561 (Hermosa)'
   Components : 'HDA:14f15051,17aa211c,00100000'
   Controls : 14
   Simple ctrls : 7
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 7VHT14WW-1.03'
   Mixer name : 'ThinkPad EC 7VHT14WW-1.03'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Fri Aug 27 11:10:23 2010
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=c38b210e-96b2-4c5a-9548-cfea0e4c4bee
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100318)
MachineType: LENOVO 7417CTO
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-19-generic root=UUID=36286167-4eba-4a1e-a202-155c6baafa01 ro quiet splash
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.38
SourcePackage: linux
dmi.bios.date: 04/17/2009
dmi.bios.vendor: LENOVO
dmi.bios.version: 7UET70WW (3.00 )
dmi.board.name: 7417CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7UET70WW(3.00):bd04/17/2009:svnLENOVO:pn7417CTO:pvrThinkPadT400:rvnLENOVO:rn7417CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 7417CTO
dmi.product.version: ThinkPad T400
dmi.sys.vendor: LENOVO

Scott Moser (smoser) wrote :
Andris Sprūds (aspruds) wrote :

I am also affected. The dangerous part of this bug is that the laptop suspends only partially. The thermal control (fans) are shut down, while processor and screen remains running. I am afraid that this combination can lead to fatal consequences to the CPU.

Khari Villela (khariv) wrote :

I have been experiencing this bug since one of the earliest builds of 10.10. I'm disappointed it has not gotten resolved in the final 10.10 release.

The system has a 50/50 chance of being put into the crash state. What I'm doing (browsing running flash, no browsers open, etc.) does not appear to have any impact on whether the system crashes.

Running Lenovo R60.

Stas Sușcov (sushkov) wrote :

This is very bad.
After upgrade, I closed the lid and woke up that my laptop battery was fully drained and the temperature in my backpack grew like in summer. My T400 is cold usually, so this bug is serious!

If you need help with testing, I'm in.

Andris Sprūds (aspruds) wrote :

4 people are experiencing the same symptoms, so I am changing the status to confirmed

Changed in linux (Ubuntu):
status: New → Confirmed
mokinys (mokinys) wrote :

This bug affects at least 10 people by now (me too). Hope to get a bugfix soon.

Stefan Sommer (stefan-nefan) wrote :

Same on my T500.

Scott Moser (smoser) wrote :

Can anyone reliably reproduce this ? Or is it just "sometimes" ? For me, its just occasional.

mat_lec (mail-matlechner) wrote :

I use suspend quite often, but I still cannot spot a pattern. A few days ago it seemed, that every 2nd suspend fails, but the last days I was able to suspend and resume several times before my T400 got stuck.
Could anyone who tested Maverick during its devolopment spot the version at which things started going wrong? Maybe that helps to track down the reason of the bug...

Rami Taibah (rtaibah) wrote :

I am affected by this too. However I switched to my discrete ATI card and it seems to work properly. Haven't done extensive testing yet, but I haven't had a problem since I switched 3 days ago. Seems like the integrated Intel card is whats causing the problem. So that might be a temp solution if you have two graphic card

Apparently same thing on T400s; always seems to occur upon every suspend attempt (what with the data loss and all, I'm not inclined to keep trying, unless someone has a less destructive test methodology). Prior to Maverick (Karmic, Gutsy), suspend worked flawlessly. I'm seeing anecdotal reports of behavior that sounds related as early as April or March...is this really such an unpopular laptop series?

În data de Jo, 21-10-2010 la 04:59 +0000, David Danziger a scris:
> Apparently same thing on T400s; always seems to occur upon every suspend
> attempt (what with the data loss and all, I'm not inclined to keep
> trying, unless someone has a less destructive test methodology). Prior
> to Maverick (Karmic, Gutsy), suspend worked flawlessly. I'm seeing
> anecdotal reports of behavior that sounds related as early as April or
> March...is this really such an unpopular laptop series?
>

Anyone, beside problems with suspend, experience drop in performance on
3d acceleration(for example lp:#663328) and wifi. I mean it makes me
feel that after Lucid, Meerkat made my t400 a bit less smart.

Also, I don't have the model with 2 video cards, just with an Intel GM45
series, so this bugs is surely not caused by such details like used gpu.

@David et al.
This is definitely not an unpopular laptop series. I'm working for IBM and all of us employees worldwide are using Thinkpads, especially the T-Series, and so do others in IT and Business. About 10% of us IBM employees are using Linux on their workstations (=Thinkpads). I've been using Ubuntu for years now and suspend has worked flawlessly, as you say, even with Lucid.
About the pattern/symptoms: It seems to be entirely random. Sometimes it hangs several times in a row and then suspend works again... strange!

wanted (wanted) wrote :

Another "me too", T400, I use suspend a lot and since upgrading to Maverick it hangs in about 10-20% of cases.

The last message printed on console is something like "Checking battery state", but I'm not sure if it's at all related to hangups.

summary: - lenovo T400 suspend fails
+ lenovo T400/T500 suspend fails

Same here, I have a T400 and suspending it fails in about 50% of cases. Only way out is to switch the machine off.

Stas Sușcov (sushkov) wrote :

Related: lp:#348204 ?

Kapil Thangavelu (hazmat) wrote :

Definitely related to the same suite of issues on other thinkpad models described here. lp bug:644223

wanted (wanted) wrote :

I made a series of experiments and found out the following:

1) using pm-suspend I could safely suspend the T400 from text console (ctrl-alt-f1) every single time on stock kernel (even if gdm was running on X session at the same time)
2) the same pm-suspend would freeze the laptop randomly if ran from xterm in GNOME
3) upgrading to PPA kernel 2.6.36 (http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.36-maverick/linux-image-2.6.36-020636-generic_2.6.36-020636.201010210905_i386.deb) fixed the issue for me completely

summary: - lenovo T400/T500 suspend fails
+ lenovo/thinkpad T400/T500/W500 suspend fails
tags: added: lenovo t400 t500 thinkpad w500

@wanted
Thank you for pointing out a solution. Suspend works like a charm for me now, too.

În data de Du, 31-10-2010 la 20:19 +0000, wanted a scris:
> I made a series of experiments and found out the following:
>
> 1) using pm-suspend I could safely suspend the T400 from text console (ctrl-alt-f1) every single time on stock kernel (even if gdm was running on X session at the same time)
> 2) the same pm-suspend would freeze the laptop randomly if ran from xterm in GNOME
> 3) upgrading to PPA kernel 2.6.36 (http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.36-maverick/linux-image-2.6.36-020636-generic_2.6.36-020636.201010210905_i386.deb) fixed the issue for me completely

Suspend works, yay!
Thanks.

Same for me with T400s; above-mentioned mainline kernel deb restores suspend ability.

mat_lec (mail-matlechner) wrote :

I tried the 2.6.36 mainline kernel and suspend indeed works like a charm again (it even wakes up faster than with the standard Ubuntu kernel, but I already noticed this with lucid, too). Also, I checked the 2.6.35 mainline kernel: it had the same problems as the Ubuntu version, so it is definitely a problem with the kernel itself and not with Ubuntu's patches.

Student (ein-student) wrote :

My Lenovo T400s is affected too.

Fortunately, with the 2.6.36 mainline kernel suspend works again. You can download the 64bit version at http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.36-maverick/linux-image-2.6.36-020636-generic_2.6.36-020636.201010210905_amd64.deb
@wanted: Thanks for the solution!

summary: - lenovo/thinkpad T400/T500/W500 suspend fails
+ lenovo/thinkpad T400[s]/T500/W500 suspend fails
tags: added: t400s

Seeing the same behaviour on my T400s running 10.10. Suspend works half of the time. The other half the box freezes. Used to work fine with 10.04.

Scott Moser (smoser) wrote :

Well, I just installed linux-image-2.6.36-020636-generic in maybe 5 attempts to suspsend/resume, 2 of them failed. One was pretty much a stock "boot, open firefox, suspend", and it did not come out of suspend. The other left the moon flashing on the way into suspend.

alien8 (fb-alien8) wrote :

Hi,

w/ 2.6.36 I also had major suspend/hibernate problems. Lately, that was an issue on LKML too http://kerneltrap.org/mailarchive/linux-kernel/2010/10/27/4638146 . Further, I had apparmor seg faults w/ the stock 2.6.36 LK.

As written in bug 666172 (marked as duplicated of this one here)
echo (disk|mem) >| /sys/power/state
always worked fine for me. However, from time to time I get Kernel Ooopsies using the Ubuntu Kernel. I attach 2 dmesg traces here showing that. I did "short-cut" the /usr/lib/pm-utils/bin/pm-action script to skip everything (hooks) but the suspend/hibernate action.

Currently, I'm trying the 2.6.35 stock kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.35-maverick/ It's too early to say if it also ooopses since that happens only once in a while. suspend/hibernate seems to be stable though.

/var/log/pm-suspend.log has never shown any issues. Just ended w/ the hooks section.

- a8

Michał Stawicki (stawicki) wrote :

Same issue on Lenovo R400.

wanted (wanted) on 2010-11-08
summary: - lenovo/thinkpad T400[s]/T500/W500 suspend fails
+ lenovo/thinkpad T400[s]/T500/W500/X60 suspend fails
tags: added: x60

The vanilla kernel does not fix the issue on the X60 tablet. Still a blinking moon on hibernate and a running fan on suspend.

alien8 (fb-alien8) wrote :

Thomas, which one? I also caught the first Ooops w/ 3.6.35 vanila, T400s Do you happen to have a dmesg log?

Thanks,

- a8

thomas michel (tom-michel) wrote :

Hi,

this is the vanilla kernal I'm running:

2.6.36-020636-generic

Attached is the output of dmesg.

alien8 (fb-alien8) wrote :

Thanks Thomas,

Your dmesg looks fine. It doesn't show a bug.

The developers need the dmesg if it fails. As an example please look at what I attached to #26.

Thanks,

- a8

Scott Moser (smoser) wrote :

Pulling my hair out, I tried going back to the lucid kernel, where I used to be able to suspend/resume.
From https://launchpad.net/ubuntu/+source/linux I downloaded
linux-headers-2.6.32-25_2.6.32-25.45_all.deb
linux-headers-2.6.32-25-generic_2.6.32-25.45_amd64.deb
linux-image-2.6.32-25-generic_2.6.32-25.45_amd64.deb

and installed them.
On reboot, susped still failed with blinking moon.

I'd like it if someone else could corroborate that.

Scott Moser (smoser) wrote :

I tried backing off pm-utils to 1.3.0-1ubuntu2 (lucid), thinking maybe some changes there in the quirks that were determined were the issue.

Still suspend fails with pm-utils 1.3.0-1ubuntu2.

Scott Moser (smoser) wrote :

thanks to 'wanted' in comment 18 above, I am now suspend and resuming 5 times in a row using up to date maverick.
What i'm doing is just running:
sudo sh -c 'chvt 1; pm-suspend; sudo chvt 7'

so, that works. However, I've not successfully set any quirks (/usr/share/doc/pm-utils/README.debugging) that got me consistent suspend and resume.

Scott Moser (smoser) wrote :

you can put the work around into the pm-utils path by adding the following to /etc/pm/sleep.d/10-lp-bug-625364. Note, its a work around, not a fix, but it makes me very happy to not crash. Note, you need to write the file as root, then make sure its executable (chmod 755)

#!/bin/sh
# LP: #625364
# /etc/pm/sleep.d/10-lp-bug-625364

case "${1}" in
   suspend|hibernate)
      echo "${1}: changing to vt 1 for LP: #625364 work around";
      chvt 1;;
   resume|thaw)
      echo "${1}: changing to vt 7 for LP: #625364 work around";
      chvt 7;;
esac

Scott Moser (smoser) wrote :

Well, i had assumed that comment 35 work around was not 100%, just hiding something. Now i've seen system fail to suspend even with that in place.

alien8 (fb-alien8) wrote :

Scott,

Do you have a dmesg traces of the fails? What LK version?

Thanks,

- a8

Scott Moser (smoser) wrote :

alien8,
  I'm running up to date maverick now (as are most other people on this bug). In my personal tests, reverting kernel (to lucid kernel, which used to work) still fails.
  $ dpkg -S /boot/vmlinuz-$(uname -r)
  linux-image-2.6.35-22-generic: /boot/vmlinuz-2.6.35-22-generic

there is nothing in dmesg, or at least no way to get at it that i'm aware of The system locks up, it basically suspends, but the moon remains flashing, and does not come out of suspend.
/var/log/messages has nothing.

thomas michel (tom-michel) wrote :

I cannot find anything in dmesg either. With vanilla kernel 2.6.36 I have now twice successfully suspended to disk - but suspend to ram still fails (steady moon, but fan still blowing, system cannot be reactivated).

Additionally, the hotkeys FN-F4 / FN-F12 for suspend / hibernate do not work, but this may be another issue.

jeffbl (jeff-mulb) wrote :

I get this on my Thinkpad x201 as well - makes things pretty unusable for me, as I need to carry my laptop pretty much everywhere, and can't just leave it on all the time.

mat_lec (mail-matlechner) wrote :

According to what I read in all the comments here, I begin thinking about two different problems here, because for several people (e.g. for me) switching to the 2.6.36 mainline kernel solves all the problems, and for others (like Scott) it doesn't. At the moment I'm trying Scott's solution with the sleep.d-script and the default ubuntu 2.6.35-kernel, and up to now everything works perfectly fine (except my T400 didn't wake up after suspending the first time, but this also occured when I first tried suspending with the 2.6.36-mainline kernel and then did not occur any time later on; so maybe that's a different bug). I'll keep you up to date if something starts to go wrong.
May Scott and others that still heve these problems have some different configuration or specific hardware components?

thomas michel (tom-michel) wrote :

I've had two successfull hibernations and the third one again brought the blinking moon. When switching the machin off and on again, it woke up correctly. Seems as if only the final power off was missing?

Suspend to ram never works, however.

All this with vanilla 2.6.36 kernel and Scott's script.

Scott Moser (smoser) wrote :

For me, I've now suspend resumed probably 20 times using the script listed in comment 35.
However, I have moved it from /etc/pm/sleep.d/10-lp-bug-625364 to /usr/lib/pm-utils/sleep.d/01-lp-bug-625364 .

the scripts in /etc/pm/sleep.d run after the stuff in /usr/lib/pm-utils/sleep.d, and that was in the end causing in not much better results.

by putting that script in /usr/lib/pm-utils/sleep.d/01-lp-bug-625364 , the chvt run first and last in the suspend process. I think this is successfully worked around at this point.

I don't use hibernate. However, this hack may work for that, as it will be called and chvt during hibernate.

thomas michel (tom-michel) wrote :

Even with moving the script, no look. The moon led lights steady as well as the battery led. The fan keeps running.
Tried with ubuntu and vanilla kernel (2.6.35 and 2.6.36).

On Thu, 11 Nov 2010, thomas michel wrote:

> Even with moving the script, no look. The moon led lights steady as well as the battery led. The fan keeps running.
> Tried with ubuntu and vanilla kernel (2.6.35 and 2.6.36).

thomas, can you verify that the script is getting run ?
Even after a crash, on reboot you should be able to look in
/var/log/pm-suspend.log and see something like:
  /usr/lib/pm-utils/sleep.d/01-lp-bug-625364 resume suspend: success.
  Running hook /usr/lib/pm-utils/sleep.d/01-lp-bug-625364 suspend suspend:
  suspend: Thu Nov 11 08:47:15 CST 2010: changing to vt 1 for LP: #625364 work around

Also, does:
   sudo sh -c 'chvt 1; pm-suspend; chvt 7;'
work?

If the sudo above fails, then you're quite likely hitting some other issue
than I am.

Scott,

the script runs ( I can see it in the logs). The command does not work either.

Andris Sprūds (aspruds) wrote :

Try upgrading to stock pae kernel (sudo apt-get install linux-generic-pae). I'm running 2.6.35-22-generic-pae and have been able to suspend/wake up reliably.

Vipul Mathur (vipul) wrote :

I tried running the generic-pae kernel as suggested in #47 above. I have also installed the workaround script as suggested in #43. I have not had any suspend issue since then (about 15 suspend-resumes). Can't say for sure which suggestion worked, but both together seem to work for me!

thomas michel (tom-michel) wrote :

The pae kernel does not fix the issue for me. I've noticed three times the message:

"sierra_reset_resume" with different timestamps before the system hangs. Not sure if that causes the problem?

Rip Rowan (rip-rowan) wrote :

I experienced this issue in Lucid. It was a very serious problem because while the computer would appear to power off (screen black and fans off) the CPU was still running and the computer would quickly overheat.

Consider - the user shuts the case (assuming the computer will suspend) and tosses the computer in his padded bag. We all do this every day, right? However the CPU is running at 100%, fans off, and in a padded (insulated) bag. When this happened to me the computer got almost too hot to touch. I am amazed it recovered but who knows how much damage was done.

Computer: T400 w/ discrete ATI + integrated Intel graphics

Dustin Kirkland  (kirkland) wrote :

I'm marking this bug's importance 'critical'.

As Rip states, this bug could in fact cause physical damage to a system. My x200 overheated numerous times as I hit the 'suspend' button, tossed it in bag, checked it 10 minutes later as I could feel the heat emanating through the backpack.

Changed in linux (Ubuntu):
importance: Undecided → Critical
Tom Ellis (tellis) wrote :

I also have this issue on an x200, using the workaround script in comment #35 worked for me for the past 30+ suspend/resume cycles.

Blake Hammon (blake-hammon) wrote :

Throwing in my .02 as well. I was pretty disappointed that this did not work out of the bag off a fresh install of Mav.
T400 Both Intel and ATI experience the problem.
I am happy to provide some testing if needed. I may need some guidance on the sequence of suspend and what is written to the log.

Looking forward to this getting fixed!

Dustin Kirkland  (kirkland) wrote :

Okay, I'm going to take a bold swing here and add pm-utils to this bug, as I don't think the bug is actually in the kernel. Maybe Martin Pitt might be willing/able to add Scott's hack from Comment #35 into maverick-updates. This bug is frying Thinkpads left and right, unfortunately.

Martin, any ideas?

Changed in pm-utils (Ubuntu):
status: New → Confirmed
importance: Undecided → Critical
Chow Loong Jin (hyperair) wrote :

Sounds like a missing entry from the quirk db in /usr/lib/pm-utils/video-quirks.

alien8 (fb-alien8) wrote :

Hi,

Thanks for acknowledging the bug in pm-utils. Anyhow, IMHO this bug here is about more than one thing. It not always helps to merge everything that sounds "suspend problem" in one bug.
pm-utils is broken for many of the systems here listed. Again, thanks for looking into that now.

I've been running the vanilla ppa 2.6.36 LK for the last couple of weeks (about 5 suspends and at least 2 hibernates a day) bypassing the pm-utils quirks in /usr/lib/pm-utils/bin/pm-action completely. That works quite good.

However, on rare occasions I get a Kernel crash. That happened in the 2.6.36 ppa vanilla one. Please see attached pix. I'll post the rest of the dump on the next entry.

With standard pm-utils often I found the Oopsies in dmesg after hibernating the LK could recover from. Problem here: It's not easy to trigger. The process shown in the Oops is a different one each time. I posted some dmesgs in #26

For the reported overheating. That is a BIOS - bug. If the CPU get's too hot the BIOS is in charge to turn the box off.

Would be nice if Lenovo would commit some resources for fixing bugs on their H/W.

Thanks,

  - a8

alien8 (fb-alien8) wrote :

and the 2nd part of the crash trace.

- a8

Johannes Postler (josi) wrote :

As I have switched from Fedora to Ubuntu for this exact reason it is quite annoying to find this bug here as well :( Fedora recently released its F14-version which introduced the 2.6.35 kernel and also introduced the bug. So i reckon it might be related to the kernel.

However under Fedora 13 I experienced a bug that showed the exact same behaviour, except that a plugged-in SD-Card was necessary to trigger it (see my last comment in https://bugzilla.redhat.com/show_bug.cgi?id=571367)

Johannes Postler (josi) wrote :

This seems to be the same bug in Fedora - obviously they fixed it:
https://bugzilla.redhat.com/show_bug.cgi?id=647604

wanted (wanted) wrote :

@Johannes: the description of Fedora's bug is slightly different, though. They describe that suspend doesn't work at all (no reaction), as opposed to our case here, where for most people the system hangs randomly during suspend procedure, with blinking moon LED.

So it could be related, but not necessarily the same issue.

Johannes Postler (josi) wrote :

@wanted: The symptoms (blinking moon, ...) for the first bug I mentioned (https://bugzilla.redhat.com/show_bug.cgi?id=571367) are exactly the same as we have here in our bug. I'm sure about that, because I experienced both of them.

However, you might be right about the second one (647604). I'm not entirely sure, whether it describes the exact same bug in Fedora. But I'm completely sure, Fedora 14 has the same bug :)

Martin Pitt (pitti) wrote :

@Dustin: problems with suspend/resume _are_ kernel bugs, and in fact several people reported that it was working with .32 and .36. The quirks in pm-utils are just workarounds to kernel bugs.

So if we find a set of quirks which improves matters on these models, I'm happy to put them into pm-utils in a maverick update. However, comment 35 isn't quite appropriate for that, as it hardcodes vt7 (which is very often wrong, at latest with user switching or if you log out and back in). Also, pm-utils already does a chvt call unless it has an explicit quirk for that laptop model in its database which says to not do so. Thus I doubt that this is a sufficient workaround, and the comments above seem to indicate that it doesn't actually fix the problem. It might change some timing so that the frequency of failures changes a bit?

Wrt. the Fedora bug, they closed it when they added the quirk DB to the package. We have always had the quirks in our package already, so apparently that's not sufficient.

Does anyone have a /var/cache/pm-utils/last_known_working.quirkdb ?

Johannes Postler (josi) wrote :

@Martin Pitt: My system does not have such a file. But I still have access to a working Fedora 13 install (kernel 2.6.33 as far as I remember) on a Thinkpad T400 and can provide any files you want, but it will take me a day. Could you please specify what exactly you need, so I can collect it all at once?

Johannes Postler [2010-11-24 10:28 -0000]:
> @Martin Pitt: My system does not have such a file. But I still have
> access to a working Fedora 13 install (kernel 2.6.33 as far as I
> remember) on a Thinkpad T400 and can provide any files you want, but it
> will take me a day. Could you please specify what exactly you need, so I
> can collect it all at once?

I mainly asked because the presence of this file would indicate that
your system was using a non-KMS video driver, and would actually
require quirks. pm-utils disables video quirks on KMS, as the kernel
promises that they aren't necessary with that.

Beyond that I don't know much about the kernel bits, I'm afraid, so I
don't know how to debug that further on the kernel side :/

Martin
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

I have a T400 laptop, and I am getting a suspend failure on current natty. In my case the system blinks the moon icon, and then resumes immediately. In my dmesg, I see:

[16131.360104] tpm_tis 00:0a: tpm_transmit: tpm_send: error -5
[16131.360112] legacy_suspend(): pnp_bus_suspend+0x0/0xa0 returns -5
[16131.360116] PM: Device 00:0a failed to suspend: error -5

There is a discussion of this issue (its a kernel issue), and a patch that (seems to) solve it, here:

http://lkml.org/lkml/2010/10/21/456

You can work around this problem by running "sudo rmmod tpm_tis". Suspending then works -- I just did it.

Should I consider this a different bug?

Changed in linux (Fedora):
importance: Undecided → Unknown
status: New → Unknown
Changed in linux (Ubuntu):
importance: Critical → Medium
Changed in pm-utils (Ubuntu):
importance: Critical → Medium
thomas michel (tom-michel) wrote :

Hi,

running "sudo rmmod tpm_tis" does not resolve the issue on my X60. And due to the overheating problem, I am surprised that the importance has been degraded to medium?

Eli Collins (elicollins) wrote :

sudo rmmod tpm_tis fixed the issue for me on a t400s (64-bit Mavrick). I added "blacklist tpm_tis" to /etc/modprobe.d/blacklist.conf to make it permanent.

arndt (arndtt) wrote :

I can confirm this issue on a lenovo t400s running 64-bit Maverick kubuntu. Discovering a hot running laptop in your backpack is not a very nice experience. Using the workarounds from comments #35/43 (pm-utils script) and #18.3 (ppa kernel 2.6.36-020636-generic) work so far (~50 sleep cycles, previously every 5-10 cycles it would not go to sleep properly).

Dustin Kirkland  (kirkland) wrote :

Bartosz,

Why did you change the importance of this bug? Please provide justification if you're adjusting the bug's importance.

Changed in linux (Ubuntu):
importance: Medium → Critical
Changed in pm-utils (Ubuntu):
importance: Medium → Critical
Dustin Kirkland  (kirkland) wrote :

I mean, the importance can be lowered, perhaps, just give your reasoning for doing so, please ;-)

On Wed, 24 Nov 2010, Martin Pitt wrote:

> @Dustin: problems with suspend/resume _are_ kernel bugs, and in fact
> several people reported that it was working with .32 and .36. The quirks
> in pm-utils are just workarounds to kernel bugs.

Well, for me, .36 did not help, and current natty just doesn't suspend at
all (2.6.37-5-generic).

> So if we find a set of quirks which improves matters on these models,
> I'm happy to put them into pm-utils in a maverick update. However,
> comment 35 isn't quite appropriate for that, as it hardcodes vt7 (which
> is very often wrong, at latest with user switching or if you log out and
> back in). Also, pm-utils already does a chvt call unless it has an
> explicit quirk for that laptop model in its database which says to not
> do so.

As I said in that comment, its a hack. I was aware of that.
I experimented with making sure that '--quirk-no-chvt' was not added in my
pm-suspend, although I did so via hackery (ie, commenting out
QUIRK_NO_CHVT="true" in /usr/lib/pm-utils/sleep.d/99video).

> Thus I doubt that this is a sufficient workaround, and the
> comments above seem to indicate that it doesn't actually fix the
> problem. It might change some timing so that the frequency of failures
> changes a bit?

When the hack runs from /usr/lib/pm-utils/sleep.d/01-lp-bug-625364 *never*
fails. My guess as to why my suggested hack worked where the quirks did
not was timing, my hack runs further away from the actual suspend than the
pm-quirks does.

I agree, its not sufficient for a -updates. If the quirks could be set
for this model, then that might be sufficient.

@Benjamin,
  Your tpm_tis module bug is most definitely not the same bug as seen here.
  Please do take the time to report a new bug. Ideally, use:
    ubuntu-bug /boot/vmlinuz-$(uname -r)

Scott Moser (smoser) wrote :

@Benjamin,
   Also
   a.) thanks for that fix, it worked for me in natty,
   b.) please subscribe me to your new bug, and also (for others) mention the new bug number here.
   c.) with natty and 'SUSPEND_MODULES=tpm_tis' in /etc/pm/config.d/lp-625364.conf I was able to remove the workaround in /usr/lib/pm-utils/sleep.d/01-lp-bug-625364 described above.

Eugene San (eugenesan) on 2010-12-03
summary: - lenovo/thinkpad T400[s]/T500/W500/X60 suspend fails
+ lenovo/thinkpad T400[s]/T500/W500/X60/T61 suspend fails
summary: - lenovo/thinkpad T400[s]/T500/W500/X60/T61 suspend fails
+ lenovo/thinkpad T400[s]/T500/W500/X60/T6x suspend fails

I am having this issue also on a T400, and much worse on the latest kernel (2.6.35-24), it now happens 100% every single time I try to suspend.

currently running the lucid kernel which works fine, but will try some of the workarounds listed above.

I don't know if this is the same issue - I'm running Linux Mint 10 on a W500 and am seeing the above problem not just with suspend but whenever I attempt to shutdown or restart as well.

This problem has been made more visible as of late possibly due to my screwing around with the hybrid switcheroo configurations (see: http://asusm51ta-with-linux.blogspot.com/ if you dare) but I don't know if this is the root cause... at least I don't recall directly if this problem started only when I made the changes detailed in the switcheroo procedure.

What is odd is that when I attempt to reboot via an application (in this case the UNetBootin utility) everything seems to work fine, however, attempting to do the same via the main desktop "Menu" usually causes a hang.

Although I've done my best with the details I know the description above is still vague, however, being relatively new to Linux (at least for anything beyond a regular user) I'm not sure where to start in terms of troubleshooting...

Executing dmesg (and grep'ing for "error") gives me the following:

[ 2.321362] [drm:atom_op_jump] *ERROR* atombios stuck in loop for more than 1sec aborting
[ 2.321367] [drm:atom_execute_table_locked] *ERROR* atombios stuck executing F6D8 (len 487, WS 0, PS 4) @ 0xF719
[ 3.361344] [drm:atom_op_jump] *ERROR* atombios stuck in loop for more than 1sec aborting
[ 3.361348] [drm:atom_execute_table_locked] *ERROR* atombios stuck executing F6D8 (len 487, WS 0, PS 4) @ 0xF719

(from the output of dmesg executed after a hard restart)

Any ideas?

David Benjamin (davidben) wrote :

This started occurring far more frequently for me when I switched from metacity's built-in compositor to compiz. It appear's metacity's compositor (not mutter) is actually XRender-based, not GL like compiz. I also recall one of the few times it happening to me under metacity was when I had Braid open. So perhaps this is related to GL or DRI. (I'm using a Thinkpad T400 with integrated intel.)

I think the chvt workaround may be a timing thing. Looks like the kernel itself may do a VT switch on suspend anyway? suspend_prepare calls pm_prepare_console which calls vt_move_to_console. Perhaps making it happen earlier gives compiz and whoever else is using DRI more time to release whatever's causing a problem?

tags: added: regression-release
removed: regression-potential
Blake Hammon (blake-hammon) wrote :

Blacklisting the tpm-tis does not resolve this issue as mentioned above.
2.6.35-24-generic x86_64 GNU/Linux
Thinkpad T400 intel integraded graphics

tags: added: kernel-key
removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Triaged
dm (jan-rauberg) wrote :

No suspend after kernel upgrade from 2.6.35-24 to 2.6.35-25.
2.6.35-24 supend is still working.
DM

I have to agree with dm. Still no luck with 2.6.35-25-generic on 64-bit.
Very annoying bug!

However, I can confirm that my T500 (dual ATI/Intel) does suspend again with 2.6.35-25-generic if I remove the tpm_tis module. The following from dmesg got me back on track:

[ 5865.525229] PM: suspend of drv:psmouse dev:serio2 complete after 154.567 msecs
[ 5865.531684] sd 0:0:0:0: [sda] Synchronizing SCSI cache
[ 5865.532150] sd 0:0:0:0: [sda] Stopping disk
[ 5865.600067] tpm_tis 00:0a: tpm_transmit: tpm_send: error -5 <--------
[ 5865.600075] legacy_suspend(): pnp_bus_suspend+0x0/0x90 returns -5
[ 5865.600079] PM: Device 00:0a failed to suspend: error -5
[ 5866.529440] PM: suspend of drv:sd dev:0:0:0:0 complete after 997.758 msecs
[ 5866.529471] PM: suspend of drv:scsi dev:target0:0:0 complete after 997.752 msecs
[ 5866.529483] PM: suspend of drv:scsi dev:host0 complete after 997.636 msecs
[ 5866.529500] PM: Some devices failed to suspend

So I have now blacklisted it in my /etc/modprobe.d/blacklist.conf -- I guess disabling the trusted-computing-platform stuff in the BIOS would also do the trick.

Thank you all for a very interesting read!

Tim Tierney (timtierney) wrote :

This affects me also on the ThinkPad W700. Will change title.

summary: - lenovo/thinkpad T400[s]/T500/W500/X60/T6x suspend fails
+ lenovo/thinkpad T400[s]/T500/W500/W700/X60/T6x suspend fails

I am also able to confirm same result as comment #78

Charles Profitt (cprofitt) wrote :

I have similar errors since upgrading to 2.6.35-25-generic #44-Ubuntu SMP.

[ 67.431311] PM: Entering mem sleep
[ 67.431374] Suspending console(s) (use no_console_suspend to debug)
[ 67.624764] PM: suspend of drv:psmouse dev:serio2 complete after 153.472 msecs
[ 67.625088] sd 0:0:0:0: [sda] Synchronizing SCSI cache
[ 67.625266] sd 0:0:0:0: [sda] Stopping disk
[ 67.690068] tpm_tis 00:0a: tpm_transmit: tpm_send: error -5
[ 67.690075] legacy_suspend(): pnp_bus_suspend+0x0/0x90 returns -5
[ 67.690078] PM: Device 00:0a failed to suspend: error -5
[ 68.130524] PM: suspend of drv:sd dev:0:0:0:0 complete after 505.439 msecs
[ 68.130550] PM: suspend of drv:scsi dev:target0:0:0 complete after 505.431 msecs
[ 68.130559] PM: suspend of drv:scsi dev:host0 complete after 505.379 msecs
[ 68.130573] PM: Some devices failed to suspend
[ 68.130826] sd 0:0:0:0: [sda] Starting disk

I am going to try both options listed in #78 to see if I can get suspend to work again and will report back.

Charles Profitt (cprofitt) wrote :

Changing the TPM setting in Bios to 'disabled' worked. 'Inactive' still resulted in the failure to suspend.

Blacklisting the module also worked.

Johannes Postler (josi) wrote :

I think this issue might be the same as the one discussed here:
http://us.generation-nt.com/answer/regression-suspend-fails-because-tpm-modules-help-201235252.html

There have also been discussions and a patch on the lkml:
https://lkml.org/lkml/2010/10/21/456

I will try and disable TPM in the BIOS and report back.

I've tried 'sudo rmmod tpm_tis && sudo modprobe tpm_tis itpm=1' on my T400 laptop as suggested by http://us.generation-nt.com/answer/regression-suspend-fails-because-tpm-modules-help-201235252.html (see comment #85), and suspend works flawlessly now. I've tried more than 10 times and none of them fails. Before this workaround, unloading tmp_tis module only was ineffective (typically, I was able to reproduce the suspend failure after max 2 trials). I did not try to upgrade my kernel (i'm running Maverick 10.10 with 2.3.35-24 kernel).

I meant 2.6.35-24 kernel (sorry for the typo).

Just wanted to make the change permanent by creating a tpm_tis file in /etc/modprobe.d with 'options tpm_tis itpm=1', but a suspend failure occured again (laptop freezing with moon led flashing, hard power off to resume operation). I've also tried by unloading and reloading the tpm_tis module with itpm=1 option as reported in comment #86 (maybe something was wrong in my modprobe conf file), yet I was eventually able to reproduce the same wrong behaviour after a few trials (things have improved but problem still appears erratically). Sorry for the wrong notice.

Mark (mswal2846) wrote :
Download full text (5.9 KiB)

Suspend and Hibernate were working fine on my Lenovo x200 up until the update on 1/27:

Start-Date: 2011-01-27 06:42:20
Install: linux-headers-2.6.35-25:i386 (2.6.35-25.44), linux-headers-2.6.35-25-generic-pae:i386 (2.6.35-25.44), linux-image-2.6.35-25-generic-pae:i386 (2.6.35-25.44)
Upgrade: icedtea6-plugin:i386 (6b20-1.9.2-0ubuntu2, 6b20-1.9.4-0ubuntu1), linux-image-generic-pae:i386 (2.6.35.24.28, 2.6.35.25.32), icedtea-6-jre-cacao:i386 (6b20-1.9.2-0ubuntu2, 6b20-1.9.4-0ubuntu1), linux-libc-dev:i386 (2.6.35-1024.42, 2.6.35-1025.44), openjdk-6-jre-headless:i386 (6b20-1.9.2-0ubuntu2, 6b20-1.9.4-0ubuntu1), openjdk-6-jre:i386 (6b20-1.9.2-0ubuntu2, 6b20-1.9.4-0ubuntu1), openjdk-6-jre-lib:i386 (6b20-1.9.2-0ubuntu2, 6b20-1.9.4-0ubuntu1), linux-generic-pae:i386 (2.6.35.24.28, 2.6.35.25.32), linux-headers-generic-pae:i386 (2.6.35.24.28, 2.6.35.25.32)
End-Date: 2011-01-27 06:44:18

Now when I attempt to Suspend, the screen goes dark, the moon blinks a couple of times and then I get the lock screen; suspend fails.

Here are the log messages:

Jan 29 09:02:00 MES0102 kernel: [ 4163.331420] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro,commit=0
Jan 29 09:02:04 MES0102 kernel: [ 4167.636050] usb 4-2: USB disconnect, address 2
Jan 29 09:02:05 MES0102 kernel: [ 4167.840698] cfg80211: Calling CRDA to update world regulatory domain
Jan 29 09:02:05 MES0102 kernel: [ 4167.858338] cfg80211: World regulatory domain updated:
Jan 29 09:02:05 MES0102 kernel: [ 4167.858340] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jan 29 09:02:05 MES0102 kernel: [ 4167.858342] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jan 29 09:02:05 MES0102 kernel: [ 4167.858345] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jan 29 09:02:05 MES0102 kernel: [ 4167.858347] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jan 29 09:02:05 MES0102 kernel: [ 4167.858350] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jan 29 09:02:05 MES0102 kernel: [ 4167.858352] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jan 29 09:02:08 MES0102 kernel: [ 4168.643712] PM: Syncing filesystems ... done.
Jan 29 09:02:08 MES0102 kernel: [ 4168.902645] Freezing user space processes ... (elapsed 0.01 seconds) done.
Jan 29 09:02:08 MES0102 kernel: [ 4168.916124] Freezing remaining freezable tasks ... (elapsed 0.01 seconds) done.
Jan 29 09:02:08 MES0102 kernel: [ 4168.932175] Suspending console(s) (use no_console_suspend to debug)
Jan 29 09:02:08 MES0102 kernel: [ 4168.944196] sd 0:0:0:0: [sda] Synchronizing SCSI cache
Jan 29 09:02:08 MES0102 kernel: [ 4168.952481] sd 0:0:0:0: [sda] Stopping disk
Jan 29 09:02:08 MES0102 kernel: [ 4169.359922] PM: suspend of drv:sd dev:0:0:0:0 complete after 415.730 msecs
Jan 29 09:02:08 MES0102 kernel: [ 4169.359951] PM: suspend of drv:scsi dev:target0:0:0 complete after 415.726 msecs
Jan 29 09:02:08 MES0102 kernel: [ 4169.359964] PM: suspend of drv:scsi dev:host0 complete after 415.665 msecs
Jan 29 09:02:08 MES0102 kernel: [ 4169.360365] sd 0:0:0:0: [sda] Starting disk
Jan 29 09:02:08 MES0102 kernel: ...

Read more...

Marcel (marcelb) wrote :

I have a similar problem, the notebook never successfully suspends and just resumes:

[ 5103.862408] PM: Syncing filesystems ... done.
[ 5103.862862] PM: Preparing system for mem sleep
[ 5104.044989] Freezing user space processes ... (elapsed 0.01 seconds) done.
[ 5104.064125] Freezing remaining freezable tasks ... (elapsed 0.01 seconds) done.
[ 5104.080123] PM: Entering mem sleep
[ 5104.080206] Suspending console(s) (use no_console_suspend to debug)
[ 5104.080891] sd 0:0:0:0: [sda] Synchronizing SCSI cache
[ 5104.081043] sd 0:0:0:0: [sda] Stopping disk
[ 5104.118157] tpm_tis 00:0a: tpm_transmit: tpm_send: error 4294967291
[ 5104.118164] legacy_suspend(): pnp_bus_suspend+0x0/0x70 returns -5
[ 5104.118168] PM: Device 00:0a failed to suspend: error -5
[ 5104.495934] PM: suspend of drv:sd dev:0:0:0:0 complete after 415.043 msecs
[ 5104.495966] PM: suspend of drv:scsi dev:target0:0:0 complete after 414.993 msecs
[ 5104.495983] PM: suspend of drv:scsi dev:host0 complete after 378.230 msecs
[ 5104.495995] PM: Some devices failed to suspend
[ 5104.496306] sd 0:0:0:0: [sda] Starting disk
[ 5104.644085] PM: resume of drv:usb dev:usb1 complete after 148.039 msecs
[ 5104.644118] PM: resume of drv:hub dev:1-0:1.0 complete after 148.061 msecs
[ 5104.644149] PM: resume of drv: dev:ep_81 complete after 147.603 msecs
[ 5104.774844] PM: resume of drv:sd dev:0:0:0:0 complete after 278.536 msecs
[ 5104.774860] PM: resume of drv:scsi_disk dev:0:0:0:0 complete after 127.445 msecs
[ 5104.774875] PM: resume of drv:scsi_device dev:0:0:0:0 complete after 278.488 msecs
[ 5104.912049] PM: resume of drv:pcmcia_socket dev:pcmcia_socket0 complete after 137.102 msecs
[ 5104.915083] PM: resume of devices complete after 419.083 msecs
[ 5104.915212] PM: resume devices took 0.420 seconds
[ 5104.915228] PM: Finishing wakeup.
[ 5104.915230] Restarting tasks ... done.
[ 5104.926229] video LNXVIDEO:01: Restoring backlight state

Marcel (marcelb) wrote :

as mentioned above, loading tpm_tis module with itpm=1 solved it,

Plouj (plouj) wrote :

On my T500, disabling tpm and updating to 2.6.35-25-generic only helped by making suspend fail less often. Instead of failing every time, it now suspends well for a few times first, but eventually an attempt to suspend leaves me with a black screen, a constantly blinking moon light, and an unresponsive and heat producing laptop.

daniel (daniel309) wrote :

also having the tpm related suspend problems here with a W500. Anyone knows if the kernel fix will be backported to the Ubuntu kernel?

Charles Profitt (cprofitt) wrote :

I now have the same issue on the T61p I own; it uses the TPM so I can not disable it.

Mark (mswal2846) wrote :

How do we get the change that was introduced on 1/27 reversed? It clearly made this problem worse and/or made it more pervasive!

Did any of these patches that are suspected of causing this go into the 2.6.38 branch as well?

I've just bought an SSD for my laptop and installed Kubuntu Maverick. Before I was using Mint 9 KDE, with which my hotkeys (volume, brightness, etc.) worked fine. With Maverick, even with dist-upgrade, they did not.

I then used the Ubuntu kernel PPA for Lucid to install the 2.6.38-27~lucid generic image, and all buttons work, even my touchpad is properly recognized and customizable, which is a first for Linux on this laptop.

Susend/resume, however, results in a hard lock on resume. I can usually either get a flash of the X session, or get the mouse cursor to hover over a TTY by (Ctrl+)Alt+Fx'ing around, but it's always "dead" and requires a hard shutdown. No blind-typing possible and power button does not trigger the ACPI shutdown (or how you put it) that it usually does.

I tried the latest natty version, 2.6.38-1.28, and the issue is the same. I also just re-reinstalled as I decided to use Btrfs instead of ext4, but as you'd expect that didn't change anything.

The reason I'm mentioning this last thing is because I'm currently looking at what looks like a kernel oops, and it's mentioning btrfs,

kernel BUG at /build/buildd/linux-2.6.38/fs/btrfs/disk-io.c:2344!

The fact that this is the first line after the ----[ cut here ]---- one might suggest it is IO-centric? I don't know. I'm gonna photograph the display in case anyone wants to see it :)

FTR, I opted to encrypt my home dir when installing, which also meant I have swap on cryptoloop, apparently. Don't know if this matters, just saying ;)

Johannes Postler (josi) wrote :

I don't think the bug is in the btrfs-code, because before I changed to Maverick I used Fedora 14 with ext4 in an LVM and had the same bug (which was by the way the reason for me to switch to Ubuntu).

Dustin Kirkland  (kirkland) wrote :

I have not yet seen this bug in Natty (11.04), while I experienced it in hard and nasty ways in Maverick (10.10).

Can anyone state if they're still seeing this in Natty?

Changed in linux (Ubuntu Maverick):
status: New → Triaged
Changed in linux (Ubuntu Natty):
status: Triaged → Incomplete
Changed in pm-utils (Ubuntu Maverick):
status: New → Confirmed
Changed in pm-utils (Ubuntu Natty):
status: Confirmed → Incomplete

Well, I only use the kernel from Natty, and I experience failure to resume. I'll download Natty now and install it to check it out.

Just booted into the latest Natty daily build using the livecd. As far as my issue is concerned, this release has fixed whatever the problem was. It suspends and resumes without any problems. Which is funky as the kernel is the exact same that I downloaded for Maverick. Or maybe that's the cause of the problem in the first place ;)

And on an unrelated sidenote, and so sorry to put this in here, but I just have to vent this after having seen the upcoming Natty for the first time: This is not the Ubuntu I'm used to. What the h*** just happened to Ubuntu & Gnome? They look f***ing awesome!!! I think I'm gonna have to switch from Kubuntu to Ubuntu on my laptop now.... Wow... :)

Daniel,

That probably means that the problem was really (or additionally) in
pm-utils, and that that has been fixed in Natty's pm-utils version.

Dustin

The work-around in comment #35 didn't work for me. I have to shutdown my T400 completely whenever I go somewhere. :(

Back again. Problem *not* solved after all with the latest daily Natty.

The *live cd* suspends and resumes correctly, but as I just found out opening my laptop which has been asleep all night, the installed system does not.

Black screens for TTYs and X. Blind-typing in TTYs not possible. I can Alt+F7 my way back to X from the black TTYs, and here I can move a mouse cursor around on a black X screen. Power button does not trigger ACPI shutdown, and I must power off the system.

Now I'm back to hinting at the mentioning of the FS in the kernel oops I saw on my previous Kubuntu installation. Because the livecd does not live on a regular fs, it lives on cd + unionfs in mem, right? The kernel oops stated that the origin for the panic was in the fs code.

While the Kubuntu installation had an encrypted swap and lived on btrfs, this Ubuntu installation has unencrypted swap and lives on ext4 (because GRUB wouldn't boot after installing / on btrfs (/boot on ext3)). So while this probably means that it *isn't* a problem with fs code, might it be that whatever the system is trying to do at that point, fs-wise, is the culprit? Like, which filesystem operations run when you resume after suspend?

I'd look there if it were me, anyway ;)

louisJ (louisrom1) wrote :

The workaround in post #34 works for me (thinkpad t400)...thanks.

Just switched to the -pae kernel in UN 10.10 (which is i386, hadn't considered the 1G penalty without -pae, so I just got around to it now).

Whereas before it would hang and become unresponsive on resume like described earlier, I now experience the suspend-and-resume-to-POST behavior. As in it behaves like a very quick sudo reboot without unmounting anything first ;)

FTR, suspend-to-disk does nothing except lock the screen with a login prompt.

Mark (mswal2846) wrote :

Ok, so there are several people that have posted here indicating they are experiencing a problem with Suspending, Unsuspending, or both.

Who actually gets assigned this "bug" and how does it get resolved?

summary: - lenovo/thinkpad T400[s]/T500/W500/W700/X60/T6x suspend fails
+ lenovo/thinkpad T400[s]/T500/W500/R500/W700/X60/T6x suspend fails

Changes for me with the new 2.6.38-3 kernel that was uploaded to the kernel ppa earlier today:

Resume after suspend now doesn't go directly to POST, but gives "old" behavior where X and TTY hangs instead.
Hibernate now works! This will have to be my workaround for sleeping when on battery until the issue is completely fixed. With an SSD, this isn't that bad, but would probably suck with a 5400 rpm spinning platter ;)

Also affects me on X200 as well, I reverted to 2.6.35-24-generic on amd64 to work around the issue for now.

summary: - lenovo/thinkpad T400[s]/T500/W500/R500/W700/X60/T6x suspend fails
+ lenovo/thinkpad T400[s]/T500/W500/R500/W700/X60/X200/T6x suspend fails
summary: - lenovo/thinkpad T400[s]/T500/W500/R500/W700/X60/X200/T6x suspend fails
+ lenovo/thinkpad R500/T6x/T400[s]/T500/W500/W700/X60/X200 suspend fails
Jan Obdrzalek (obdrzalek) wrote :

Can confirm this bug affects also my X200s - when suspending, the computer wakes up immediately (with dark,locked screen). Reverting to 2.6.35-24-generic solves the problem.

kiu (kiu) wrote :

Confirming #109 with the exact same behavior on my X200s. Since kernel upgrade to 2.6.35-25-generic suspend fails on every attempt.

[ 6636.132070] PM: Syncing filesystems ... done.
[ 6636.139172] PM: Preparing system for mem sleep
[ 6636.739255] Freezing user space processes ... (elapsed 0.03 seconds) done.
[ 6636.759147] Freezing remaining freezable tasks ... (elapsed 0.02 seconds) done.
[ 6636.789143] PM: Entering mem sleep
[ 6636.789214] Suspending console(s) (use no_console_suspend to debug)
[ 6636.849151] sd 0:0:0:0: [sda] Synchronizing SCSI cache
[ 6636.849558] sd 0:0:0:0: [sda] Stopping disk
[ 6636.879147] tpm_tis 00:0a: tpm_transmit: tpm_send: error -5
[ 6636.879155] legacy_suspend(): pnp_bus_suspend+0x0/0x90 returns -5
[ 6636.879157] PM: Device 00:0a failed to suspend: error -5
[ 6637.099138] PM: suspend of drv:usb dev:1-5 complete after 260.000 msecs
[ 6637.109167] PM: suspend of drv:usb dev:usb1 complete after 250.000 msecs
[ 6637.209144] PM: suspend of drv:sd dev:0:0:0:0 complete after 360.000 msecs
[ 6637.209147] PM: suspend of drv:scsi dev:target0:0:0 complete after 360.000 msecs
[ 6637.209156] PM: suspend of drv:scsi dev:host0 complete after 360.000 msecs
[ 6637.209159] PM: Some devices failed to suspend

Dmitry Turbiner (dtr-jpl) wrote :

I confirm that I had all the above symptoms when running a 2.6.35-2* on a thinkpad X200s.

SOLUTION:

   The solution for me was to upgrade to the 2.6.36 kernel. Not a single suspend crash since.

Regards,
Dmitry

Latest 2.6.38-4 kernel from the kernel PPA shows regression compared to the -3 kernel. Suspend just crashes the system (black screen, fans at full throttle), and also none of the special function keys (brightness, volume, etc.) work.

Similar bug affects me on 10.10 too. Got a Thinkpad X200 running. Trying to hibernate/suspend does nothing, it just resumes instantly (well, after about 700msec according to dmesg). Also, the middle-mouse-button scrolling is broken afterwards...

Andy Whitcroft (apw) wrote :

@smoser -- it seems that you had a tpm_tis issue, with that module disabled you could suspend resume. We have just commited some fixes which are slated to fix those issues in the latest Natty kernel. Could you confirm that v2.6.38-5.32 works for you without any work arounds. Please report back here. Thanks.

Changed in linux (Ubuntu Natty):
status: Incomplete → In Progress
status: In Progress → Incomplete

On my rig, the new -5 kernel is as bad as the -4 kernel. I.e. the same as described in post 112

Hi,

I have a T400 running Maverick 2.6.35-25-generic. I can confirm that the descriptions given in http://ibmforums.ibm.com/forums/thread.jspa?messageID=1915941&tstart=0& solved my problem. Before implementing the solution I checked that I got an identical error message (as described in the post) in /var/log/kern.log .
PM: Device 00:0a failed to suspend: error -5
PM: Some devices failed to suspend

I then created (as instructed by the post) a new configuration file: -

/etc/modprobe.d/tpm.conf

into which I've placed: -

options tpm_tis itpm=1

I had to do a cold boot. Don't ask me why, but the suspend would hang after a warm boot. Ever since, suspend worked for me.

Christoph Pospiech

Andy Whitcroft (apw) wrote :

@Daniel -- i am concerned there are more than issue here, which is common with such a generic bug title.

@Smoser -- could you confirm whether this fixed worked for you.

Changed in linux (Ubuntu Natty):
status: Incomplete → In Progress
status: In Progress → Incomplete
Blake Hammon (blake-hammon) wrote :

@Christoph Pospiech Your link to ibmforums seems to be dead. Can you confirm the link.
Good to hear that you found a possible fix for now.

Mark (mswal2846) wrote :

I just installed the latest update (linux 2.6.35-27-generic-pae) and my suspend is working!! Thank you!!!!

Schmankerl (schmankerl) wrote :

I also installed linux-image-2.6.35-27-generic and it successfully suspended and woke up very fast. (Lenovo T500 Ubuntu 10.10 Maverick 64 Bit)

Michael Calabrese (m2calabr) wrote :

I tried linux-image-2.6.35-27-generic and I still have problems. I also tried options tpm_tis itpm=1, that did not work. (It worked on the first try, but not the second.)

I did compile and install 2.6.37.2 and it seems to be working with that kernel. (I have not removed the tpm option just yet. I will try that later.) I will continue trying to suspend through out the day and see what happens and let you know.

Michael Calabrese (m2calabr) wrote :

Just following up, it is still working a day later, with my computer left on over night. So kernel 2.6.37.2 seems to clear up the problem.

schmankerl: how did you upgrade to linux-image-2.6.35-27-generic under ubuntu 10.10? I have applied all patches, and "uname -r" still reports 2.6.35-25-generic.

BTW, while I was having all of the problems mentioned on this thread on ubuntu up to 10.4, since upgrading to 10.10 earlier this year my lenovo t400 has always suspended when asked to. It does take a very long time some times, about 5 minutes or so.

Schmankerl (schmankerl) wrote :

Hello Jaime Davila,

I just made an apt-get dist-upgrade and updated to linux-image-2.6.35-27-generic (maverick-updates).
Since that time kernel /var/log/messages has reported the following two lines:

Mar 2 08:32:10 kernel: [ 12.251279] tpm_tis 00:0a: 1.2 TPM (device-id 0x1020, rev-id 6)
Mar 2 08:32:10 kernel: [ 12.251282] tpm_tis 00:0a: Intel iTPM workaround enabled

Old kernel reported only that line:
Mar 1 19:21:38 kernel: [ 11.690097] tpm_tis 00:0a: 1.2 TPM (device-id 0x1020, rev-id 6)

My System: Lenovo T500 Ubuntu 10.10 Maverick 64 Bit

jeffbl (jeff-mulb) wrote :

Don't want to get too excited yet, but my Thinkpad x201 has been working since the kernel update. I had upgraded to 2.6.36 (still had problems), but moving back to 2.6.36-27-generic-phc has been working for me. My computer finally seems reliable again - this has been a bleak Ubuntu period since I updated from Lucid, as I bring my computer to meetings, home, work, business trips, and it was not suspending/resuming the vast majority of the time.

I tested this latest kernel and my T400 is still crashing to the
flashing moon on about 1 in 5 suspends.

On 05/03/11 01:03, jeffbl wrote:
> Don't want to get too excited yet, but my Thinkpad x201 has been working
> since the kernel update. I had upgraded to 2.6.36 (still had problems),
> but moving back to 2.6.36-27-generic-phc has been working for me. My
> computer finally seems reliable again - this has been a bleak Ubuntu
> period since I updated from Lucid, as I bring my computer to meetings,
> home, work, business trips, and it was not suspending/resuming the vast
> majority of the time.
>

Download full text (4.4 KiB)

Confirming Tim's report: the issue remains unsolved on my T400
also with kernel 2.6.35-27.

2011/3/5 Tim <email address hidden>:
> I tested this latest kernel and my T400 is still crashing to the
> flashing moon on about 1 in 5 suspends.
>
> On 05/03/11 01:03, jeffbl wrote:
>> Don't want to get too excited yet, but my Thinkpad x201 has been working
>> since the kernel update. I had upgraded to 2.6.36 (still had problems),
>> but moving back to 2.6.36-27-generic-phc has been working for me. My
>> computer finally seems reliable again - this has been a bleak Ubuntu
>> period since I updated from Lucid, as I bring my computer to meetings,
>> home, work, business trips, and it was not suspending/resuming the vast
>> majority of the time.
>>
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/625364
>
> Title:
>  lenovo/thinkpad R500/T6x/T400[s]/T500/W500/W700/X60/X200 suspend fails
>
> Status in “linux” package in Ubuntu:
>  Incomplete
> Status in “pm-utils” package in Ubuntu:
>  Incomplete
> Status in “linux” source package in Maverick:
>  Triaged
> Status in “pm-utils” source package in Maverick:
>  Confirmed
> Status in “linux” source package in Natty:
>  Incomplete
> Status in “pm-utils” source package in Natty:
>  Incomplete
> Status in “linux” package in Fedora:
>  Unknown
>
> Bug description:
>  Using recent maverick kernels, my suspend has stopped working.  It
>  previously worked in lucid, and for much of maverick development
>  cycle.
>
>  Now, closing the laptop results in flashing 'moon' and a switch of
>  console out of X, with an unrelated message on the screen (I think it
>  is gdk message, but don't recall exactly).
>
>  opening laptop back up, it is generally unresponsive.  (alt-f1 -> alt-f7 do nothing).
>  I've had to hard power off.
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 10.10
>  Package: linux-image-2.6.35-19-generic 2.6.35-19.26
>  Regression: Yes
>  Reproducible: Yes
>  ProcVersionSignature: Ubuntu 2.6.35-19.26-generic 2.6.35.3
>  Uname: Linux 2.6.35-19-generic x86_64
>  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
>  Architecture: amd64
>  ArecordDevices:
>   **** List of CAPTURE Hardware Devices ****
>   card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
>     Subdevices: 1/1
>     Subdevice #0: subdevice #0
>  AudioDevicesInUse:
>   USER        PID ACCESS COMMAND
>   /dev/snd/controlC0:  smoser     2297 F.... pulseaudio
>  CRDA: Error: [Errno 2] No such file or directory
>  Card0.Amixer.info:
>   Card hw:0 'Intel'/'HDA Intel at 0xfc020000 irq 48'
>     Mixer name : 'Conexant CX20561 (Hermosa)'
>     Components : 'HDA:14f15051,17aa211c,00100000'
>     Controls      : 14
>     Simple ctrls  : 7
>  Card29.Amixer.info:
>   Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 7VHT14WW-1.03'
>     Mixer name : 'ThinkPad EC 7VHT14WW-1.03'
>     Components : ''
>     Controls      : 1
>     Simple ctrls  : 1
>  Card29.Amixer.values:
>   Simple mixer control 'Console',0
>     Capabilities: pswitch pswitch-joined penum
>     Playback channels: Mono
>     Mono: Playback [on]
>  Date:...

Read more...

I think this report at some point switched to being about two bugs instead of one and is causing confusing. The tpm_tis seems to be fixed. But the timing bug that's hacked around with the chvt in comment #43 does not appear to be. (The latter is the one that gets stuck at the flashing moon. tpm_tis's failure more for me was that it gets to the flashing moon, gives up, and returns to the desktop.)

Plouj (plouj) wrote :

I've never experienced tpm problems because it has always been disabled for me in the BIOS (T500). However, only since I started to use the script in comment #43 (and #35) that I was able to suspend successfully twice in a row. I'm using 2.6.35-27-generic.

Plouj (plouj) wrote :

I have been suspending with the workaround script every day and have an 8 day uptime so far. The only problem I noticed is that dmesg doesn't doesn't show new messages anymore. Instead, they show up in VT1.

Changed in linux (Ubuntu Natty):
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
Johannes Postler (josi) wrote :

Ok, the status has been incomplete for several weeks now and it is assigned to the Canonical Kernel Team. What information can I provide to help the Kernel Team fix this?
Despite careful logging of my activies (like plugging in the AC, suspending, resuming etc.) I could quite find a pattern for the occurance of this issue. Has anyone managed?

Andy Whitcroft (apw) wrote :

@Johannes -- the request was for confirmation that the issue was resolved for natty installs. There has been little concrete confirmation that the issue is or is not resolved. The big issue is that the title is very open and we have been concentrating on the tpm issues for this bug, as that was the issue the reporter had (as demonstrated by the work arounds which helped them). I beleieve that that issue is now fixed for Maverick and Natty. However, other suspend issues on similar h/w may still exist.

@Scott -- can you confirm you are good with the latest kernels in Natty/Maverick.

Changed in linux (Ubuntu Natty):
status: Incomplete → In Progress
status: In Progress → Incomplete
David Benjamin (davidben) wrote :

@Andy: Are you sure about that? Comment 72 seems to directly contradict you here. I do not run natty, but on my maverick installation, I was bit by both the tpm issues and the blinking moon ones. The failure mode of the tpm issue is not a blinking moon. It starts to suspend and, after a second gives up, and wakes back up again. This has since been fixed as far as I can tell and otherwise requires a workaround to unload/reload the module. The failure mode of the other issue is that the machine begins to sleep but the moon never stops blinking and drawing power until you power cycle the machine and lose all your state; a far far worse bug. This has not been fixed and I have been forced to run with the chvt hack since I installed maverick. It appears that, until comment 65, this bug was not in any way related to the tpm issues.

I believe the other bug is a timing thing related DRI and graphics drivers. See comment 76.

louisJ (louisrom1) wrote :

upgrading to Natty solved the problem for me, suspend goes well now. [thinkpad t400]

Kenny Ranerup (kranerup) wrote :

The latest Maverick kernel doesn't work and neither does the latest Natty kernel loaded in a Maverick installation. Haven't tried a full Natty install though. The issue I'm seeing is that my Thinkpad X61s occasionally hangs when going into suspend mode requiring a power cycle.

I've tried workaround #18.1 but it still hangs.

The workaround in posts 35 + 43 work well for me on an X200. Thanks!

Summary: put the script below in /usr/lib/pm-utils/sleep.d/01-lp-bug-625364

#!/bin/sh
# LP: #625364

case "${1}" in
   suspend|hibernate)
      echo "${1}: changing to vt 1 for LP: #625364 work around";
      chvt 1;;
   resume|thaw)
      echo "${1}: changing to vt 7 for LP: #625364 work around";
      chvt 7;;
esac

Hamish Cunningham -- http://gate.ac.uk/hamish/

PS on maverick running 2.6.35-28-generic-pae i686

Changed in linux (Ubuntu Maverick):
importance: Undecided → Medium
Jeff Markowitz (jmarkow) wrote :

Same problem w/ the flashing moon and crash on x200s. Post #35 fixed it.

Running Maverick w/ kernel version 2.6.35-28-generic i686

biplabsarkar (sarkarbiplab) wrote :

I am seeing the bug on Dell-mini-1012 laptop running Ubuntu 10.10. I see hibernation and suspend using pm-utils is failing to resume after the system goes to sleep. But if I use "/usr/bin/acpitool -S" it hibernates properly. But "/usr/bin/acpitool -s" doesn't work.

madbiologist (me-again) wrote :

@biplabsarkar - As you are using different hardware, please file a new bug using ubuntu-bug - see https://help.ubuntu.com/community/ReportingBugs

Jeremy Foshee (jeremyfoshee) wrote :

smoser,
       Is this still an issue for you in Natty? Also, does the pm-utils workaround work for you?

Folks,
     This bug has become unmanageable and has grown way past its initial report. As such, if you feel you are affected by this or a very similar issue, please file new unique bugs for your hardware. You may reference this bug in your report so that the discussion here is not lost.

Thanks!

~JFo

Changed in linux (Ubuntu Natty):
status: Incomplete → In Progress
status: In Progress → Incomplete
assignee: Canonical Kernel Team (canonical-kernel-team) → nobody
Scott Moser (smoser) wrote :

I haven't seen this problem on natty on my T400 that I originally reported it on with the maverick kernel. No work arounds are needed in natty. However, i've not used suspend as heavily as I had when I was banging my head against it in maverick.

The work around I posted, with the chvt in comment 43 worked for me in maverick.

ben (ben-nerdlabor) wrote :

just want to say that I installed the new natty beta 2 and experienced that problem on a lenovo ideapad u160 :(

madbiologist (me-again) wrote :

@ben - As you are using different hardware, please file a new bug using ubuntu-bug - see https://help.ubuntu.com/community/ReportingBugs

Changed in pm-utils (Ubuntu Natty):
status: Incomplete → In Progress
status: In Progress → Fix Released
madbiologist (me-again) on 2011-04-21
Changed in linux (Ubuntu Natty):
status: Incomplete → In Progress
status: In Progress → Fix Released
madbiologist (me-again) wrote :

@David Benjamin - Regarding the second paragraph of comment #76 - this may be related to the errors reported in comment #75. This has been fixed upstream in kernel 2.6.37. From the changelog:

commit a93f344d3c04e4b84490c65f2a574387c593be40
Author: Alex Deucher
Date: Mon Dec 20 11:22:29 2010 -0500

    drm/radeon/kms: reorder display resume to avoid problems

    On resume, we were attemping to unblank the displays before the
    timing and plls had be reprogrammed which led to atom timeouts
    waiting for things that are not yet programmed. Re-program
    the mode first, then reset the dpms state.

    This fixes the infamous atombios timeouts on resume.

    Signed-off-by: Alex Deucher
    Cc: <email address hidden>
    Signed-off-by: Dave Airlie

Ubuntu 11.04 "Natty Narwhal" is using the 2.6.38 kernel.

This patch was also included upstream in kernels 2.6.36.3 and 2.6.35.11. Confusingly, it's mentioned again in the upstream changelog for 2.6.35.12, so I'm not sure whether that means it wasn't applied properly in 2.6.35.11. Either way, the 2.6.35-27.47 maverick kernel is based on 2.6.35.11 and the 2.6.35-29.51 kernel in maverick-proposed is based on 2.6.35.12.

David Benjamin (davidben) wrote :

No, this is probably unrelated. I do not have a radeon chip in my laptop.

just upgraded my T400 to Natty and can confirm that the blinking moon
crash appears to have been resolved now.

same issue on my lenovo u160 when I install ubuntu 11.04 beta 2 on it.

tully (tuly-seznam) wrote :

after upgrade/clean install on t400, it can not resume from suspend. no log messages. computer freezes completly with moon led on :(

Download full text (4.1 KiB)

Odd: on my T400, still running 10.10, it seems the latest upgrade to
kernel 2.6.35-27
fixed the matter -- at the very least, the bug is not reproducible
anymore, whereas before
I saw it without exception.

Marcus

2011/5/1 tully <email address hidden>:
> after upgrade/clean install on t400, it can not resume from suspend. no
> log messages. computer freezes completly with moon led on :(
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/625364
>
> Title:
>  lenovo/thinkpad R500/T6x/T400[s]/T500/W500/W700/X60/X200 suspend fails
>
> Status in “linux” package in Ubuntu:
>  Fix Released
> Status in “pm-utils” package in Ubuntu:
>  Fix Released
> Status in “linux” source package in Maverick:
>  Triaged
> Status in “pm-utils” source package in Maverick:
>  Confirmed
> Status in “linux” source package in Natty:
>  Fix Released
> Status in “pm-utils” source package in Natty:
>  Fix Released
> Status in “linux” package in Fedora:
>  Unknown
>
> Bug description:
>  Using recent maverick kernels, my suspend has stopped working.  It
>  previously worked in lucid, and for much of maverick development
>  cycle.
>
>  Now, closing the laptop results in flashing 'moon' and a switch of
>  console out of X, with an unrelated message on the screen (I think it
>  is gdk message, but don't recall exactly).
>
>  opening laptop back up, it is generally unresponsive.  (alt-f1 -> alt-f7 do nothing).
>  I've had to hard power off.
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 10.10
>  Package: linux-image-2.6.35-19-generic 2.6.35-19.26
>  Regression: Yes
>  Reproducible: Yes
>  ProcVersionSignature: Ubuntu 2.6.35-19.26-generic 2.6.35.3
>  Uname: Linux 2.6.35-19-generic x86_64
>  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
>  Architecture: amd64
>  ArecordDevices:
>   **** List of CAPTURE Hardware Devices ****
>   card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
>     Subdevices: 1/1
>     Subdevice #0: subdevice #0
>  AudioDevicesInUse:
>   USER        PID ACCESS COMMAND
>   /dev/snd/controlC0:  smoser     2297 F.... pulseaudio
>  CRDA: Error: [Errno 2] No such file or directory
>  Card0.Amixer.info:
>   Card hw:0 'Intel'/'HDA Intel at 0xfc020000 irq 48'
>     Mixer name : 'Conexant CX20561 (Hermosa)'
>     Components : 'HDA:14f15051,17aa211c,00100000'
>     Controls      : 14
>     Simple ctrls  : 7
>  Card29.Amixer.info:
>   Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 7VHT14WW-1.03'
>     Mixer name : 'ThinkPad EC 7VHT14WW-1.03'
>     Components : ''
>     Controls      : 1
>     Simple ctrls  : 1
>  Card29.Amixer.values:
>   Simple mixer control 'Console',0
>     Capabilities: pswitch pswitch-joined penum
>     Playback channels: Mono
>     Mono: Playback [on]
>  Date: Fri Aug 27 11:10:23 2010
>  EcryptfsInUse: Yes
>  HibernationDevice: RESUME=UUID=c38b210e-96b2-4c5a-9548-cfea0e4c4bee
>  InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100318)
>  MachineType: LENOVO 7417CTO
>  PccardctlIdent:
>   Socket 0:
>     no product info available
>  PccardctlStatus:
>   Socket 0:
>     no card
>  ProcCm...

Read more...

with natty live cd suspend/resume works on tp t400. after instaling frzes on resume

tully's comment #151 hints at the same thing I hinted at in #103 - did anyone ever look into this? i.e. the problem being swap or other fs related?

tully (tuly-seznam) wrote :

@Daniel Smedegaard Buus -> "Black screens for TTYs and X. Blind-typing in TTYs not possible. I can Alt+F7 my way back to X from the black TTYs, and here I can move a mouse cursor around on a black X screen. Power button does not trigger ACPI shutdown, and I must power off the system."

difference is that i can not switch to X with Alt+F7. system is completly frozen.

/ - ext4
/home - ext4 not encrypted

i found this as last message in kern.log:
 EXT4-fs (sda6): re-mounted. Opts: errors=remount-ro,commit=0

Vadim Belyaev (vadimbelyaev) wrote :

I disabled security chip in BIOS setup on my T500 and after that it works just fine both in Maverick and Natty.

These issues reek of serious ACPI trouble with the recent kernels. I'm also on the Ubuntu on MacBook discussion list, and here brightness keys stopped working with Natty:

http://ubuntuforums.org/showthread.php?t=1603365&page=31#308

Same thing on my laptop - I'm also missing /var/log/messages now (don't even know how that's possible and if that's related). My desktop (i7 920 on ASUS RoG II GENE) kernel panics if booted without noacpi nolapic.

I'm starting to believe that the ACPI code in the 2.6.38 kernels may be seriously flawed, and that the kernel team has some massive work to do before any of us see all of our issues resolved - and I fear that the Ubuntu team can's do a whole lot...

tully (tuly-seznam) wrote :

i experiencing problem described in #151 only with PAE kernel (2.6.38/2.6.39 tested) . with "normal" kernel suspend/resume works with security chip disabled in BIOS

Ankur Nayak (ankur-iit) wrote :

I've the same issue. pm script workaround didn't work for me. i've u160 ideapad.

Download full text (4.0 KiB)

@ankur: i've filed a new bug for this device here:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/777110

On Sat, May 7, 2011 at 3:16 PM, Ankur Nayak <email address hidden>wrote:

> I've the same issue. pm script workaround didn't work for me. i've u160
> ideapad.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/625364
>
> Title:
> lenovo/thinkpad R500/T6x/T400[s]/T500/W500/W700/X60/X200 suspend fails
>
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “pm-utils” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Maverick:
> Triaged
> Status in “pm-utils” source package in Maverick:
> Confirmed
> Status in “linux” source package in Natty:
> Fix Released
> Status in “pm-utils” source package in Natty:
> Fix Released
> Status in “linux” package in Fedora:
> Unknown
>
> Bug description:
> Using recent maverick kernels, my suspend has stopped working. It
> previously worked in lucid, and for much of maverick development
> cycle.
>
> Now, closing the laptop results in flashing 'moon' and a switch of
> console out of X, with an unrelated message on the screen (I think it
> is gdk message, but don't recall exactly).
>
> opening laptop back up, it is generally unresponsive. (alt-f1 -> alt-f7
> do nothing).
> I've had to hard power off.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: linux-image-2.6.35-19-generic 2.6.35-19.26
> Regression: Yes
> Reproducible: Yes
> ProcVersionSignature: Ubuntu 2.6.35-19.26-generic 2.6.35.3
> Uname: Linux 2.6.35-19-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: smoser 2297 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xfc020000 irq 48'
> Mixer name : 'Conexant CX20561 (Hermosa)'
> Components : 'HDA:14f15051,17aa211c,00100000'
> Controls : 14
> Simple ctrls : 7
> Card29.Amixer.info:
> Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30,
> fw 7VHT14WW-1.03'
> Mixer name : 'ThinkPad EC 7VHT14WW-1.03'
> Components : ''
> Controls : 1
> Simple ctrls : 1
> Card29.Amixer.values:
> Simple mixer control 'Console',0
> Capabilities: pswitch pswitch-joined penum
> Playback channels: Mono
> Mono: Playback [on]
> Date: Fri Aug 27 11:10:23 2010
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=c38b210e-96b2-4c5a-9548-cfea0e4c4bee
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100318)
> MachineType: LENOVO 7417CTO
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-19-generic
> root=UUID=36286167-4eba-4a1e-a202-155c6baafa01 ro quiet splash
>...

Read more...

Ankur Nayak (ankur-iit) wrote :
Download full text (7.9 KiB)

Thanks. Are there any workarounds so far?

On Sat, May 7, 2011 at 10:17 AM, ben <email address hidden> wrote:
> @ankur: i've filed a new bug for this device here:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/777110
>
> On Sat, May 7, 2011 at 3:16 PM, Ankur Nayak
> <email address hidden>wrote:
>
>> I've the same issue. pm script workaround didn't work for me. i've u160
>> ideapad.
>>
>> --
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>> https://bugs.launchpad.net/bugs/625364
>>
>> Title:
>>  lenovo/thinkpad R500/T6x/T400[s]/T500/W500/W700/X60/X200 suspend fails
>>
>> Status in “linux” package in Ubuntu:
>>  Fix Released
>> Status in “pm-utils” package in Ubuntu:
>>  Fix Released
>> Status in “linux” source package in Maverick:
>>  Triaged
>> Status in “pm-utils” source package in Maverick:
>>  Confirmed
>> Status in “linux” source package in Natty:
>>  Fix Released
>> Status in “pm-utils” source package in Natty:
>>  Fix Released
>> Status in “linux” package in Fedora:
>>  Unknown
>>
>> Bug description:
>>  Using recent maverick kernels, my suspend has stopped working.  It
>>  previously worked in lucid, and for much of maverick development
>>  cycle.
>>
>>  Now, closing the laptop results in flashing 'moon' and a switch of
>>  console out of X, with an unrelated message on the screen (I think it
>>  is gdk message, but don't recall exactly).
>>
>>  opening laptop back up, it is generally unresponsive.  (alt-f1 -> alt-f7
>> do nothing).
>>  I've had to hard power off.
>>
>>  ProblemType: Bug
>>  DistroRelease: Ubuntu 10.10
>>  Package: linux-image-2.6.35-19-generic 2.6.35-19.26
>>  Regression: Yes
>>  Reproducible: Yes
>>  ProcVersionSignature: Ubuntu 2.6.35-19.26-generic 2.6.35.3
>>  Uname: Linux 2.6.35-19-generic x86_64
>>  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
>>  Architecture: amd64
>>  ArecordDevices:
>>   **** List of CAPTURE Hardware Devices ****
>>   card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
>>     Subdevices: 1/1
>>     Subdevice #0: subdevice #0
>>  AudioDevicesInUse:
>>   USER        PID ACCESS COMMAND
>>   /dev/snd/controlC0:  smoser     2297 F.... pulseaudio
>>  CRDA: Error: [Errno 2] No such file or directory
>>  Card0.Amixer.info:
>>   Card hw:0 'Intel'/'HDA Intel at 0xfc020000 irq 48'
>>     Mixer name : 'Conexant CX20561 (Hermosa)'
>>     Components : 'HDA:14f15051,17aa211c,00100000'
>>     Controls      : 14
>>     Simple ctrls  : 7
>>  Card29.Amixer.info:
>>   Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30,
>> fw 7VHT14WW-1.03'
>>     Mixer name : 'ThinkPad EC 7VHT14WW-1.03'
>>     Components : ''
>>     Controls      : 1
>>     Simple ctrls  : 1
>>  Card29.Amixer.values:
>>   Simple mixer control 'Console',0
>>     Capabilities: pswitch pswitch-joined penum
>>     Playback channels: Mono
>>     Mono: Playback [on]
>>  Date: Fri Aug 27 11:10:23 2010
>>  EcryptfsInUse: Yes
>>  HibernationDevice: RESUME=UUID=c38b210e-96b2-4c5a-9548-cfea0e4c4bee
>>  InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100318)
>>  MachineType: LENOVO 7417CTO
>>  PccardctlIdent:
>>   Socket 0...

Read more...

ben (ben-nerdlabor) wrote :

I haven't found one. :(

As reported by Scott Moser on comment #142, I hereby confirm that the suspend issue (endless flashing moon requiring a hard power off) no longer appears on my T400 (with Intel graphics) since I have upgraded to Kubuntu Natty 11.04, and this without any workaround. My laptop now goes correctly to standby mode (I tested a few tens times over two weeks now without any one failure).

tully (tuly-seznam) wrote :

can someone confirm #156 (issue is relaited to PAE kernel in natty) ?

approx (marc-stroebel) wrote :

I have exactly the same behavior as described in #156. Since I switched back to the normal Kernel 2.6.38 (without PAE) suspend works fine again.

Joschi Poschi (joschiposchi) wrote :

any suggestions for the Lenovo U160? Haven't found a solution yet :-(

MadMat (madmat) on 2011-06-07
summary: - lenovo/thinkpad R500/T6x/T400[s]/T500/W500/W700/X60/X200 suspend fails
+ lenovo/thinkpad R400/R500/T6x/T400[s]/T500/W500/W700/X60/X200 suspend
+ fails

I'm experiencing the same bug on a ThinkPad T420 with up-to-date Ubuntu Natty. Please reopen.

The bug is very serious. Just like others, I learned about it the hard way: closed the lid, put my laptop inside the bag, took it out about half an our later, and was shocked to see the laptop heated like on fire, and the fan running full power. Also, the CapsLock light was blinking.

This issue should be mentioned in the ReleaseNotes, as it possibly can damage hardware!

strav (strav) wrote :

May I know why this bug has been set to "fix released" on Natty? It seems that so far, all we have is post #35's duct tape fix (which, in my case, helped but didn't completely fixed the issue) and unless I'm missing something, I haven't encountered an official update fixing the issue.

mejo (jonas-freesources) wrote :

I'm able to produce a Kernel Panic with 'echo -n mem > /sys/power/state'. A photo of the Kernel Panic is attached.

summary: - lenovo/thinkpad R400/R500/T6x/T400[s]/T500/W500/W700/X60/X200 suspend
- fails
+ lenovo/thinkpad R400/R500/T6x/T400[s]/T420/T500/W500/W700/X60/X200
+ suspend fails
Bernt Ribbum (bernt-ribbum) wrote :

Strav (comment #166): I'm just as confused as you... Ever since installing Natty a few weeks ago on my T500 I've NEVER been able to suspend. In my case the moon AND the Caps Lock indicator keep blinking until I forcefully power off. Even the #35 fix (and other fixes of similar kind) have done nothing to help. This bug is unfortunately serious and still very much alive!

Bernt Ribbum (bernt-ribbum) wrote :

As asked in comment #162:

Yes, for me this issue was related to using the PAE kernel! I have done lots of experimenting with this, and my T500 is now happily suspending and resuming. Can't be 100% sure of course, but by the looks of it, *everything* works!

To get a working system, I have applied the following fixes:

* "duct-tape" fix to switch to TTY1 on suspend (#35)
* disabled security chip in BIOS (#154)
* switched to generic (non-PAE) kernel (#156)

I'll come back if I am wrong, but for now I'm happy!

Bernt Ribbum (bernt-ribbum) wrote :

Well, happiness lasted about an hour...
All the way until I started a virtual machine in VirtualBox, that is. That made me reinstall the driver vboxdrv, which started the symptoms all over again..! It wouldn't suspend.

This time I won't blame Ubuntu of course, but rather the BIOS (or at least the hardware). Something is fishy with this machine when it comes to addressing >4GB. Have anyone ever tried to install a 64-bit OS on it?

I have been using 64-bit Ubuntu (8.10, 10.04 LTS) in Thinkpad T400
with Intel graphics. They are fine in general. There are issues here
and there--some could be annoying. The latest is the problem with
suspend-resume and/or graphics. My issues are described here:

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/777956

I tried backported 2.6.35 and 2.6.38 series kernel available for
Lucid---I keep having issues with respect to suspend/resume. 2.6.35
problem is as described in this bug page (moon light blinking and
suspend was hung); 2.6.38's problem is with waking up from suspend
(something X-related; I can't describe in full right now). Both are
occasionally happening (and don't know when they will happen). It
feels like I want to give up using Ubuntu on this laptop.

Wirawan

Bernt Ribbum (bernt-ribbum) wrote :

Thanks Wirawan,

I also suspend the machine all the time, so it is critical for me that
it works. In my case, however, Ubuntu will NEVER let me suspend. I feel
like giving Ubuntu up as well. Do you have a viable alternative? I would
like to stick to the .deb system if possible, and the installation
medium must be CD (can't write DVDs on this machine...)

Bernt

On 10.08.2011 05:50, Wirawan Purwanto wrote:
> I have been using 64-bit Ubuntu (8.10, 10.04 LTS) in Thinkpad T400
> with Intel graphics. They are fine in general. There are issues here
> and there--some could be annoying. The latest is the problem with
> suspend-resume and/or graphics. My issues are described here:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-
> intel/+bug/777956
>
> I tried backported 2.6.35 and 2.6.38 series kernel available for
> Lucid---I keep having issues with respect to suspend/resume. 2.6.35
> problem is as described in this bug page (moon light blinking and
> suspend was hung); 2.6.38's problem is with waking up from suspend
> (something X-related; I can't describe in full right now). Both are
> occasionally happening (and don't know when they will happen). It
> feels like I want to give up using Ubuntu on this laptop.
>
> Wirawan
>

Wirawan Purwanto (wirawan0) wrote :

Hi Bernt: I recently installed Debian 6.0.2 (Squeeze) on my laptop. I think this distro runs smoothly on this laptop. Exception is the firmware for intel iwlwifi, which must be installed separately (not a big deal). I am using kernel 2.6.38 from squeeze-backports to get rid of "flickering" problem existing in 2.6.32 kernel line. I probably should write a fuller report in ubuntu forums instead of here. I just want to give you some lead if perhaps this would help you too. I love Ubuntu and the efforts made by Canonical to popularize linux. However I am also disappointed that critical issues like this always exist from release to release. Debian seems to pay better attention to stability and reliability for "business"-like uses.

Bernt Ribbum (bernt-ribbum) wrote :

Thanks Wirawan. I'll give it a go. I love Ubuntu, too, and it's never let me down before. But this time it is obviously necessary to look for alternatives! And why not go to the parent?

- Bernt

Bernt Ribbum (bernt-ribbum) wrote :

Debian was not a great success, unfortunately. I was asked for some proprietary driver when installing (which I don't have!), and now the machine won't connect to my wireless network... So back to square one. If I reinstall Ubuntu and stop running virtual machines it should work!

Thanks anyway, Wirawan!

Bernt

Bernt Ribbum (bernt-ribbum) wrote :

Hello again Wirawan.
Next time I post, I'll try to actually read what you've said first. You say:

> Exception is the firmware for intel iwlwifi, which must be installed separately (not a big deal)

Same that I experienced, but in my case I had no idea how to deal with it. It asked for a driver - how to get hold of that?

- Bernt

Daniel Cuneo (dpcuneo) wrote :

Hi all,

I have a T400 running 64 bit Ubuntu 10.10 with 4GB ram.

My suspend fails intermittantly and my mouse lags, at every startup and wake up. It looks like the cpu's are up to
30% when the mouse lag occurs. I was using kernel 2.35.x I'll need to look it up.

I switched to kernel 2.6.32-28-generic, what I used with 9.10 and haven't noticed either problem yet. I found the
kernel version by searching Ubuntuforums.org, I shouldn't written down the URL....

I'll post back if I have another suspend fail.

dpc

louisJ (louisrom1) wrote :

The bug (black screen after resume) is back with version 12.04 of Ubuntu (thinkpad T400).... any definitive solution?

louisJ (louisrom1) wrote :

it seems I talked too fast, it works

Julian Wiedmann (jwiedmann) wrote :

This release has reached end-of-life [0].

[0] https://wiki.ubuntu.com/Releases

Changed in linux (Ubuntu Maverick):
status: Triaged → Invalid
Changed in linux (Ubuntu Maverick):
status: Invalid → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.